#!perl
use strict;
use warnings;
use Test2::Bundle::Extended;
use Data::QRCode::Input;

my $input = Data::QRCode::Input->new();

$input->version(12);
$input->error_correction_level(Data::QRCode::Input::ECLEVEL_M);

is(
    $input->version,
    12,
    'version should round-trip',
);

is(
    $input->error_correction_level,
    Data::QRCode::Input::ECLEVEL_M,
    'ec level should round-trip',
);

is(
    $input->append(
        Data::QRCode::Input::MODE_8,
        'some data',
    ),
    0,
    'append should work and return 0 on success',
);

done_testing;
